Update Event Instance
Update an Event Instance. Rate limit: 20 requests per minute per API key.
Authorization
apiKey Authorization<token>
Use format: users API-Key YOUR_API_KEY
In: header
Path Parameters
version*string
API version
Default
"2026-02"Value in
"2026-02"tenant*string
Tenant slug
id*string
Event Instance ID
Query Parameters
select?
Field selection object. Example query: select[slug]=true&select[updatedAt]=true
populate?
Relationship population object. Example query: populate[media][url]=true
depth?integer
Relationship population depth.
Range
0 <= valuelocale?string
Content locale, or all to return every locale.
fallbackLocale?string
Locale to use when the requested locale has no value.
draft?boolean
When true, read or write the draft version.
Default
falsejoins?
Controls pagination, sorting, filtering, and counts for joined fields.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://api.basker.app/partners/2026-02/string/event-instances/string?select%5Bslug%5D=true&select%5BupdatedAt%5D=true&populate%5Bmedia%5D=%5Bobject+Object%5D" \ -H "Content-Type: application/json" \ -d '{}'{
"event": "string",
"startDate": "2019-08-24T14:15:22Z",
"startDate_tz": "Pacific/Midway",
"startDateLocalAsUTC": "string",
"ticketingSystemId": "string",
"participants": [
{}
],
"attributes": [
{}
],
"tessitura": {
"performanceId": "string",
"productionSeasonId": "string",
"keywords": {},
"availability": "string",
"availSaleIndicator": "string",
"publishWebApiStartDate": "2019-08-24T14:15:22Z",
"publishWebApiEndDate": "2019-08-24T14:15:22Z",
"customAttributeSyncOverride": {}
},
"elevent": {
"showTimeId": "string",
"eventId": "string",
"eventUrlName": "string",
"customAttributeSyncOverride": {}
},
"spektrix": {
"instanceId": "string",
"eventId": "string",
"customAttributeSyncOverride": {}
},
"booking": {
"bookingLinkLabel": "string",
"bookingLinkURL": "string"
},
"venue": "string",
"series": [
"string"
]
}Empty
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please retry later."
}